Skip to main content
GET
/
v1
/
channel
/
offer
/
stock-updates
Stock Updates (by Seller)
curl --request GET \
  --url https://scx-sbx.api.jtl-software.com/v1/channel/offer/stock-updates \
  --header 'Authorization: Bearer <token>'
{
  "stockUpdateList": [
    {
      "channel": "RONHER",
      "sellerId": "TESTSRL68f8f79d90556",
      "offerId": 1,
      "channelOfferId": "SKU1",
      "quantity": 14,
      "updatedAt": "2025-12-16T11:48:41+00:00"
    }
  ],
  "lastUpdatedAt": "2025-12-29T14:13:06+00:00"
}

Authorizations

Authorization
string
header
required

As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.

Query Parameters

updatedAfter
string<date-time>
required

Timestamp to filter stock updates. Only updates after this time will be returned.

Format: ISO 8601 timestamp

sellerId
string
required

ID of the seller whose stock updates should be returned. A unique Id identify a Seller on a specific SalesChannel. The SellerId is generated from the Channel itself during the Seller SignUp Process.

Pattern: ^\w{1,50}$
Example:

"4711"

Response

Successful response with stock updates for the specified seller

Response containing a list of stock updates and the timestamp of the last update

stockUpdateList
object[]
required

List of stock update objects containing inventory changes

lastUpdatedAt
string<date-time>
required

ISO 8601 timestamp indicating the lastest date of stock updates in the current list. Use this value as the updatedAfter parameter in subsequent requests to fetch only new stock updates.

Example:

"2025-12-29T14:13:06+00:00"